import { defineComponent, useCssVars, unref, reactive, toRefs, openBlock, createElementBlock, createElementVNode, toDisplayString, Fragment, renderList } from "vue";
import "./index.vue_vue_type_style_index_0_scoped_true_lang.mjs";
import _export_sfc from "../../../../_virtual/plugin-vue_export-helper.mjs";
const _hoisted_1 = { class: "staff" };
const _hoisted_2 = { class: "title" };
const _hoisted_3 = { class: "duty_pope" };
const _hoisted_4 = { class: "duty_img" };
const _hoisted_5 = ["src"];
const _hoisted_6 = { class: "duty_name" };
const _hoisted_7 = { class: "duty_post" };
const _hoisted_8 = { class: "duty_phone" };
const __default__ = defineComponent({ name: "EBoundingBox01" });
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    useCssVars((_ctx) => ({
      "1e90003a": unref(titleColor),
      "77cea382": unref(titleSize) + "px",
      "7bf21188": unref(titleLeft) + "px",
      "c5bd74a4": unref(titleTop) + "px"
    }));
    reactive({
      commant: []
    });
    toRefs(props.chartConfig.attr);
    const { titleText, titleColor, titleSize, titleLeft, titleTop, datas } = toRefs(
      props.chartConfig.option
    );
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createElementVNode("div", _hoisted_2, toDisplayString(unref(titleText)), 1),
        createElementVNode("div", _hoisted_3, [
          (openBlock(true), createElementBlock(Fragment, null, renderList(unref(datas), (item, i) => {
            return openBlock(), createElementBlock("div", {
              key: i,
              class: "duty_itme"
            }, [
              createElementVNode("div", _hoisted_4, [
                createElementVNode("img", {
                  src: item.imgSrc
                }, null, 8, _hoisted_5)
              ]),
              createElementVNode("div", _hoisted_6, toDisplayString(item.key), 1),
              createElementVNode("div", _hoisted_7, toDisplayString(item.value), 1),
              createElementVNode("div", _hoisted_8, toDisplayString(item.unit), 1)
            ]);
          }), 128))
        ])
      ]);
    };
  }
});
var _EBoundingBox01 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-7ee139ac"]]);
export { _EBoundingBox01 as default };
